<?php

namespace FiloBlu\Refilo\Plugins\TargetRule\Model\ResourceModel;

use FiloBlu\Refilo\Helper\Data;
use Magento\TargetRule\Model\ResourceModel\Index;

class IndexPlugin {

    /**
     * @var Data
     */
    protected $helperData;

    /**
     * @param Data $helperData
     */
    public function __construct(
        Data $helperData
    )
    {
        $this->helperData = $helperData;
    }

    /**
     * @param Index $subject
     * @param $result
     * @return int|mixed
     */
    public function afterGetOverfillLimit(Index $subject, $result)
    {
        if($this->helperData->isTargetRuleOverrideLimitEnabled()){
            return $this->helperData->getTargetRuleOverrideLimit();
        }
        return $result;
    }
}
